| Home | Libraries | People | FAQ | More

## Struct template plus

boost::proto::plus — A metafunction for generating binary plus expression types, a grammar element for matching binary plus expressions, and a PrimitiveTransform that dispatches to the `proto::pass_through<>` transform.

## Synopsis

    // In header: <boost/proto/traits.hpp>

    template<typename T, typename U>
    struct plus :  proto::transform< plus<T, U> > {
      // types
      typedef proto::expr< proto::tag::plus, proto::list2< T, U > > type;
      typedef type                                                  proto_base_expr;

      // member classes/structs/unions
      template<typename Expr, typename State, typename Data>
      struct impl :  proto::pass_through<plus>::template impl<Expr, State, Data> {
      };
    };

## Description